itpp::Selective_Repeat_ARQ_Receiver Class Reference
Protocols Module

`#include <itpp/protocol/selective_repeat.h>`

## Public Member Functions

| Selective_Repeat_ARQ_Receiver ()
| ADD DOCUMENTATION HERE.
| Selective_Repeat_ARQ_Receiver (const int Seq_no_size)
| ADD DOCUMENTATION HERE.
| ~Selective_Repeat_ARQ_Receiver ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Seq_no_size)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< Selective_Repeat_ARQ_Receiver, Array< Packet * > > | packet_input
| Receives incoming packets.
Signal< Array< Packet * > > | ack_output
| Delivers ack.
Signal< Packet * > | packet_output
| Delivers received packets.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 143 of file selective_repeat.h.

The documentation for this class was generated from the following file:

- itpp/protocol/selective_repeat.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13